classification
Title: link to John Shipman's Tkinter 8.5 documentation fails: website no longer available
Type: Stage: patch review
Components: Documentation, Tkinter Versions: Python 3.9, Python 3.8, Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, cheryl.sabella, docs@python, larry, lukasz.langa, markroseman, miss-islington, ned.deily, serhiy.storchaka, terry.reedy, xameridu, xtreak
Priority: Keywords: patch

Created on 2019-06-04 11:59 by xameridu, last changed 2019-07-08 23:56 by ned.deily.

Pull Requests
URL Status Linked Edit
PR 14616 merged terry.reedy, 2019-07-06 06:22
PR 14617 merged miss-islington, 2019-07-06 06:32
PR 14618 merged miss-islington, 2019-07-06 06:32
PR 14619 closed miss-islington, 2019-07-06 06:35
PR 14620 merged miss-islington, 2019-07-06 07:00
Messages (16)
msg344549 - (view) Author: Guilloux (xameridu) Date: 2019-06-04 11:59
On the page https://docs.python.org/3/library/tkinter.html
there is a link to "Tkinter reference: a GUI for Python" which is "https://infohost.nmt.edu/tcc/help/pubs/tkinter/web/index.html".

BIG PROBLEM : Since several days this link doesn't work any more !!!

It's really important to fix it because most of official online documentation about tkinter was provided by this way !!!

Fortunately i have a copy of the documentation (cf pdf file). I have downloaded this file thanks to the website above just before the link was failed ! (Yes, i know, i'm lucky...)

Unfortunately I can't send you this pdf because I have a message "request entity too large" :-(
msg344551 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-06-04 12:06
A copy of the URL is present in archive.org [0] . Perhaps the docs could be updated with it.


[0] https://web.archive.org/web/20190524140835/https://infohost.nmt.edu/tcc/help/pubs/tkinter/web/index.html
msg344553 - (view) Author: Guilloux (xameridu) Date: 2019-06-04 12:11
The comment of Karthikeyan Singaravelan seems to be a good idea.

Question : is it possible to send a pdf (2.08 MB) to the python tracker ?
msg344719 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-06-05 13:19
This reference was hosted at a university called New Mexico Tech.  I've been trying to determine if this server is just offline or if it's being sunsetted.  Many google search results still point to infohost.mnt.edu or redirect to that page (not just the tkinter link).  Also, their main webpage (www.nmt.edu) also has a search that redirects results to infohost, so those links are all broken as well.

It seems to me that they just haven't stood up the new site yet or else they haven't changed their redirect, so I would assume that once they find they have broken links, they will fix this.  However, I also found an article that the creator of the tkinter docs has passed away [1].  If the infohost subdomain was his, then they might be moving all of it.

Anyway, I think we should leave the docs as they are for now with the hope they the university will fix the redirect.  If it doesn't get resolved, then we probably need to reach out to them.  Since the author is deceased, I'm not sure how it would work to try to host it somewhere else.  It would be a shame to lose this valuable reference and work.

[1] https://www.nmt.edu/news/2019/nmt_dedicates_shipman_plaque.php
msg344725 - (view) Author: Guilloux (xameridu) Date: 2019-06-05 14:22
I have read Cheryl Sabella's comment. So I have sent this e-mail :

Objet:	Request about a broken link on your website.
Date:	2019-06-05 16:20
De:	xavier@guilloux-fr.net
À:	thomas.guengerich@nmt.edu, webmaster@nmt.edu, help@nmt.edu


Hello,

For several days the link "https://infohost.nmt.edu/tcc/help/pubs/tkinter/web/index.html" has stopped working. But this link provided access to a prodigious technical documentation related to a Python language module (tkinter).

Can you put this link back in working order (or place a redirect to the new link)?

I draw your attention to the fact that this documentation contributes significantly to the international recognition of your university.

Thanks a lot for the continuation that you will give to this request.

Regards.

Xavier Guilloux.

(following is the same message but in my natural language - French -)

Bonjour,

Depuis plusieurs jours le lien "https://infohost.nmt.edu/tcc/help/pubs/tkinter/web/index.html" ne fonctionne plus. Or ce lien permettait d'accéder à une prodigieuse documentation technique en rapport avec un module du langage Python (tkinter).

Pouvez-vous remettre ce lien en état de fonctionnement (ou placer une redirection vers le nouveau lien) ?

J'attire votre attention sur le fait que cette documentation contribue de manière importante à la reconnaissance internationale de votre université.

Merci par avance pour la suite que vous donnerez à cette requête.

Cordialement.

Xavier Guilloux.
msg344727 - (view) Author: Guilloux (xameridu) Date: 2019-06-05 14:41
I have received the answer :

Objet:	Re: Request about a broken link on your website.
Date:	2019-06-05 16:39
De:	New Mexico Tech <help@nmt.edu>
À:	xavier@guilloux-fr.net
Cc:	thomas.guengerich@nmt.edu, webmaster@nmt.edu



Hello,
Unfortunately infohost.nmt.edu has been shut down and we will no longer be supporting that website. The website will not be coming back up. Sorry for the inconvenience.  

-Dorothy 

ITC-UC
NMIMT
Socorro, NM 87801
575-835-5700
msg347422 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-06 06:32
New changeset 45bc61b97178b27ae05bd3eb95481bf0325795bb by Terry Jan Reedy in branch 'master':
bpo-37149: Replace dead link for online Tkinter reference  (GH-14616)
https://github.com/python/cpython/commit/45bc61b97178b27ae05bd3eb95481bf0325795bb
msg347423 - (view) Author: miss-islington (miss-islington) Date: 2019-07-06 06:37
New changeset d2c5677a4f3be7de572def0a914b96385d7982b0 by Miss Islington (bot) in branch '3.7':
bpo-37149: Replace dead link for online Tkinter reference  (GH-14616)
https://github.com/python/cpython/commit/d2c5677a4f3be7de572def0a914b96385d7982b0
msg347424 - (view) Author: miss-islington (miss-islington) Date: 2019-07-06 06:38
New changeset ea9c8caa13977561787bf2de430f18c2031dde0d by Miss Islington (bot) in branch '3.8':
bpo-37149: Replace dead link for online Tkinter reference  (GH-14616)
https://github.com/python/cpython/commit/ea9c8caa13977561787bf2de430f18c2031dde0d
msg347425 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-06 06:45
Ned, PR-14616 replaces a dead link to the most important online Tkinter reference.  Please consider cherry-picking the 3.7 backport (already merged) into the upcoming 3.7.4.  Many people are lost without the reference, as they find reading the tcl/tk reference much harder. (The question has come up on Stackoverflow also.) 

I checked that the new link in the rebuilt revised page works.

The longer term solution is a complete in-house doc.  I have some ideas, which I will share later, for something more compact than the Shipman work (168 pages for the pdf).

Ned, a separate question is whether the link fix or a local replacement can be backported to 3.6.  It is like having half the tkinter doc, the part covering tk widgets, removed.
msg347426 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-06 06:52
The 2.7 backport shows a clean 2.7 diff, Travis merged and passed it, but required Appveyor just says 'non-mergeable' with no details, and no way to discover why or to cleanly retry.  I will try close and open once.
msg347427 - (view) Author: miss-islington (miss-islington) Date: 2019-07-06 07:04
New changeset 55270d09c212654c4f1bc9ebf9a0081c169a6d12 by Miss Islington (bot) in branch '2.7':
bpo-37149: Replace dead link for online Tkinter reference  (GH-14616)
https://github.com/python/cpython/commit/55270d09c212654c4f1bc9ebf9a0081c169a6d12
msg347501 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-08 16:57
New changeset 317c33e67cb6076c5a87a66c75e8c35ac581398d by Ned Deily in branch '3.6':
bpo-37149: Replace dead link for online Tkinter reference  (GH-14616)
https://github.com/python/cpython/commit/317c33e67cb6076c5a87a66c75e8c35ac581398d
msg347503 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-08 18:36
Larry, I have the same request of you that I did for Ned.  Please backport PR-14616 to 3.5.  It replaces a dead link to the most important online Tkinter reference.  Many people are lost without the reference, as they find reading the tcl/tk reference much harder.  It is like having half the tkinter doc, the part covering tk widgets, removed. (The question has come up on Stackoverflow also.)  The replacement will benefit any 3.5 users looking at the online 3.5 docs.
msg347512 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-08 21:54
New changeset f2cbf41afc9e9a0ce16bfe0c71662348453a28c4 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-37149: Replace dead link for online Tkinter reference  (GH-14616)
https://github.com/python/cpython/commit/f2cbf41afc9e9a0ce16bfe0c71662348453a28c4
msg347514 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-08 23:56
A few comments on this.  One, the Tkinter documentation in question seems to have been a personal project of John Shipman at New Mexico Tech and, as such, was not "official" so I've updated the issue title accordingly.  Sadly, as Cheryl noted, John died two years ago and I guess there were no plans in place for someone to take the documentation over from him.  We can all appreciate his very valuable contributions over the years by developing and maintaining this additional documentation.  It would be great to find a way to provide an equivalent resource for Tk 8.6.  The best alternatives today is probably Mark Roseman's TkDocs website and "Modern Tkinter" book/ebook, both also already linked on our Standard Library tkinter page. I've nosied Mark in case he has any thoughts on the matter.

As far as updating the page in older releases, as 3.6 release manager I did decide to allow the update there, even though we normally would not make such a change for a security-fix-only release; I did so as we are still including 3.6 in our daily doc builds on docs.python.org (although at some point soon that will stop).  It's Larry's call about 3.5 but note that the current 3.5 docs on docs.python.org are normally only updated when a new 3.5.x security-fix release appears. If you want it to be considered for 3.5, it would be best to make a 3.5 backport PR.
History
Date User Action Args
2019-07-08 23:56:51ned.deilysetpriority: release blocker ->
title: link to official documentation tkinter failed !!! -> link to John Shipman's Tkinter 8.5 documentation fails: website no longer available
nosy: + markroseman

messages: + msg347514
2019-07-08 21:54:52ned.deilysetmessages: + msg347512
2019-07-08 18:36:52terry.reedysetmessages: + msg347503
2019-07-08 16:57:47ned.deilysetmessages: + msg347501
2019-07-06 07:04:56miss-islingtonsetnosy: + miss-islington
messages: + msg347427
2019-07-06 07:00:46miss-islingtonsetstage: patch review
pull_requests: + pull_request14434
2019-07-06 06:52:12terry.reedysetmessages: + msg347426
2019-07-06 06:45:40terry.reedysetpriority: normal -> release blocker

nosy: + ned.deily, lukasz.langa, benjamin.peterson, larry, - gpolo, miss-islington
messages: + msg347425

stage: patch review -> (no value)
2019-07-06 06:38:33miss-islingtonsetmessages: + msg347424
2019-07-06 06:37:42miss-islingtonsetnosy: + miss-islington
messages: + msg347423
2019-07-06 06:35:41miss-islingtonsetpull_requests: + pull_request14433
2019-07-06 06:32:13miss-islingtonsetpull_requests: + pull_request14432
2019-07-06 06:32:05miss-islingtonsetpull_requests: + pull_request14431
2019-07-06 06:32:00terry.reedysetnosy: + terry.reedy
messages: + msg347422
2019-07-06 06:22:31terry.reedysetkeywords: + patch
stage: patch review
pull_requests: + pull_request14430
2019-07-05 13:25:26xameridusetversions: + Python 2.7, Python 3.5, Python 3.6
2019-06-07 20:01:24terry.reedysetmessages: - msg344550
2019-06-05 14:41:10xameridusetmessages: + msg344727
2019-06-05 14:22:27xameridusetmessages: + msg344725
2019-06-05 13:19:44cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg344719
2019-06-04 18:35:54brett.cannonsetnosy: + gpolo, serhiy.storchaka
2019-06-04 12:11:54xameridusetmessages: + msg344553
2019-06-04 12:06:34xtreaksetnosy: + xtreak

messages: + msg344551
versions: - Python 3.5, Python 3.6
2019-06-04 12:00:27xameridusetmessages: + msg344550
2019-06-04 11:59:26xameriducreate